window.waitEvent('scripts_document', function() {
  $('#add-lista-to-cart').bind('click', function() {
    if (confirm(window.texConfirmCart)) {
      window.location.href = window.linkAddToCart;
    }
  });

  var request = false;

  $('.btn-listaescolar-editar').on('click', function(event) {
    event.preventDefault();

    if (request) return;

    var button = $(this);
    var productkey = button.data('product-session-key');
    var tipoedicao = button.data('tipo-edicao');
    var product_id = button.data('original-product-id');

    if (product_id) {
      window.edicaoListaEscolar(tipoedicao, product_id, '', productkey);
      return;
    }

    button.addClass('btn-loading');
    button.prop('disabled', true);
    request = true;

    $.ajax({
      url: 'index.php?route=listaescolar/listaescolar_produtos/editarProdutoLista',
      type: 'GET',
      dataType: 'html',
      data: { product_key: productkey, tipo_edicao: tipoedicao },
    })
      .done(function(html) {
        $('.js-lista-escolar-edicao-produto').remove();
        $('body').append(html);
        $('body').append('<div class="overlay overlay-black-3" style="z-index:110"></div>');
        /* Animação de entrada */
        $('.js-lista-escolar-edicao-produto').css({ opacity: 0, top: '60%' });
        $('.js-lista-escolar-edicao-produto').animate({ opacity: 1, top: '50%' }, 300);
        $('.overlay').css('display', 'none');
        $('.overlay').fadeIn(300);
        /* Função para a animação de saida e remoção */
        function closeProductQuickView() {
          $('.overlay').fadeOut('300', function() {
            $('.overlay').remove();
          });
          $('.js-lista-escolar-edicao-produto').animate({ opacity: 0, top: '60%' }, 300, function() {
            $('.js-lista-escolar-edicao-produto').remove();
          });
        }
        // eslint-disable-next-line no-undef
        onClickOut($('.overlay'), null, null, closeProductQuickView, false);
        $('.js-lista-escolar-edicao-produto-close').on('click', function(event) {
          event.preventDefault();
          closeProductQuickView();
        });
      })
      .fail(function() {
        console.log('error');
      })
      .always(function() {
        button.removeClass('btn-loading');
        button.prop('disabled', false);
        request = false;
      });
  });

  $('.listaescolar-remove').on('click', function(event) {
    event.preventDefault();
    var productkey = $(this).data('product-session-key');
    $.ajax({
      url: 'index.php?route=listaescolar/listaescolar_produtos/removeItemLista',
      type: 'GET',
      dataType: 'json',
      data: { remove: productkey },
      beforeSend: function() {
        $('.load').css('display', 'block');
      },
      success: function(json) {
        window.location = json.redirect;
      },
      error: function() {
        $('.load').css('display', 'none');
        console.log('Erro no script de remoção de item da lista escolar');
      },
    });
  });

  if (window.success) {
    window.notificationMsg(window.success, 'success');
  }
  if (window.error_warning) {
    window.notificationMsg(window.errorWarning, 'error');
  }

  var viewMore = document.querySelector('.js-text-view-more');

  if (viewMore) {
    new window.limitTextLines(viewMore, 2, 'text-small vertical-padding-small');
  }
});
